This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 869084 - [WebTrans] Too slow to load a big document that has >7000 text flows
[WebTrans] Too slow to load a big document that has >7000 text flows
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Performance (Show other bugs)
development
Unspecified Unspecified
unspecified Severity high
: ---
: 2.0
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 21:56 EDT by Ding-Yi Chen
Modified: 2012-11-07 01:18 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121025-0030)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:18:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-10-22 21:56:01 EDT
Description of problem:
It takes quite a long time to load a big document with many translation

The project I use is freeciv
http://freeciv.wikia.com/wiki/Main_Page

whose translation can be found here:
http://www.cazfi.net/freeciv/translations/S2_5/

This project have over 7200 text flows.


Version-Release number of selected component (if applicable):
Zanata version 1.8.0-SNAPSHOT (20121023-0030)

How reproducible:
Always

Steps to Reproduce:
0. Create project freeciv, version master if you have not.
1. Download the pl.po.bz2, zh_CN.po.bz2, zh_TW.po and freeciv.pot from 
http://www.cazfi.net/freeciv/translations/S2_5/
2. Unzip the bz2 files
3. Write a zanata.xml file which specifies that pl, zh_CN, zh_TW will be pushed
4. zanata push with translation.
5. Sign in to Zanata
6. Visit the pl, zh_CN, and zh_TW for freeciv
  
Actual results:
Google Chrome 15.0.874.121
pl polish translation: 
   Loading: 1:26 minute
   (translated: 77899, fuzzy: 8230)

zh-CN Simpified Chinese translation: 
   Loading: 1:32 minute
   (translated: 13127, fuzzy:20492)

zh-TW Traditional Chinese translation:
   Loading: 1:20  minute
   (translated: 6072, fuzzy:0)

Firefox is about the same.

And it seems that database backend does not matter, as H2 and MySQL roughly took the same amount of time.


Expected results:
Loading is done within 30 seconds

Additional info:
Once it finish loading, the responding time for editing and page switching  are normal.
Comment 1 Patrick Huang 2012-10-23 20:21:00 EDT
committed into master:
https://github.com/zanata/zanata/commit/f75429ea6a4d5136c9ba6b4cef204af6a9d600c5

reduced load time from several minutes to less than 1 second
Comment 2 Ding-Yi Chen 2012-10-24 19:28:52 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121025-0030)

Now open the first page require 4 secs, and page switch now take about 3 seconds.
Comment 3 Sean Flanigan 2012-11-07 01:18:59 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.